VST 3 Examples: Validator Class Reference
Author: Steinberg

VST 3 Examples VST 3.7 SDK for developing VST plug-in

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Properties Macros Groups Pages
Classes | Public Member Functions | Public Attributes | Protected Types | Protected Member Functions | Protected Attributes | List of all members
Validator Class Reference

Main Class of Validator. More...

`#include <validator.h>`

Inheritance diagram for Validator:

## Classes
struct | ModuleTestConfig

## Public Member Functions
| Validator (int argc, char *argv[])
| ~Validator () override
int | run ()
| OBJ_METHODS (Validator, FObject) REFCOUNT_METHODS(FObject) tresult queryInterface(const char *_iid

## Public Attributes
void **obj | override

## Protected Types
using | Module = VST3::Hosting::Module

## Protected Member Functions
void | addErrorMessage (const char *msg) override
void | addMessage (const char *msg) override
tresult | getName (String128 name) override
tresult | createInstance (TUID cid, TUID iid, void **obj) override
IPtr< TestSuite > | createTests (ITestPlugProvider *plugProvider, const ConstString &plugName, bool extensive)
void | addTest (ITestSuite *testSuite, TestBase *test)
void | runTestSuite (TestSuite *suite, FIDString nameFilter=nullptr)
void | testModule (Module::Ptr module, const ModuleTestConfig &config)

## Protected Attributes
int | argc
char ** | argv
IPtr< PlugInterfaceSupport > | mPlugInterfaceSupport
int32 | numTestsFailed {0}
int32 | numTestsPassed {0}
bool | addErrorWarningTextToOutput {true}
std::ostream * | infoStream {nullptr}
std::ostream * | errorStream {nullptr}

## Additional Inherited Members
Static Public Attributes inherited from ITestResult
static const FUID | iid
Static Public Attributes inherited from IHostApplication
static const FUID | iid

## Detailed Description

Main Class of Validator.

## Member Typedef Documentation

using Module = VST3::Hosting::Module
| protected

## Constructor & Destructor Documentation

Validator | ( | int | argc,
|  | char * | argv[]
| ) |  |

~Validator | ( |  | ) |
| override

## Member Function Documentation

int run | ( |  | ) |

OBJ_METHODS | ( | Validator | ,
|  | FObject |
| ) |  | const

void addErrorMessage | ( | const char * | msg | ) |
| overrideprotectedvirtual

Implements ITestResult.

void addMessage | ( | const char * | msg | ) |
| overrideprotectedvirtual

Implements ITestResult.

tresult getName | ( | String128 | name | ) |
| overrideprotectedvirtual

Implements IHostApplication.

tresult createInstance | ( | TUID | cid,
|  | TUID | iid,
|  | void ** | obj
| ) |  |
| overrideprotectedvirtual

Implements IHostApplication.

IPtr< TestSuite > createTests | ( | ITestPlugProvider * | plugProvider,
|  | const ConstString & | plugName,
|  | bool | extensive
| ) |  |
| protected

void addTest | ( | ITestSuite * | testSuite,
|  | TestBase * | test
| ) |  |
| protected

void runTestSuite | ( | TestSuite * | suite,
|  | FIDString | nameFilter = `nullptr`
| ) |  |
| protected

void testModule | ( | Module::Ptr | module,
|  | const ModuleTestConfig & | config
| ) |  |
| protected

## Member Data Documentation

void** obj override

int argc
| protected

char** argv
| protected

IPtr<PlugInterfaceSupport> mPlugInterfaceSupport
| protected

int32 numTestsFailed {0}
| protected

int32 numTestsPassed {0}
| protected

bool addErrorWarningTextToOutput {true}
| protected

std::ostream* infoStream {nullptr}
| protected

std::ostream* errorStream {nullptr}
| protected

Empty

Copyright ©2023 Steinberg Media Technologies GmbH. All Rights Reserved. This documentation is under this license.